Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234103 - AEP: try to fetch entire CA chain and import to CAPI/group policy/NTAuthCA stores
Summary: AEP: try to fetch entire CA chain and import to CAPI/group policy/NTAuthCA st...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Certificate System
Classification: Red Hat
Component: Auto-Enrollment
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Matthew Harmsen
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-27 01:05 UTC by Chandrasekar Kannan
Modified: 2017-04-10 14:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 23:36:51 UTC


Attachments (Terms of Use)

Description Chandrasekar Kannan 2007-03-27 01:05:12 UTC
AEP - auto enrollment proxy. Right now we have too many 
places to import CA certificates. 


1. Local Computer -> Trusted root certificates store
2. Active directory -> domain level group policy
3. publish certs to NTAuthCA store.
4. proxy configuration -> CA certificate to be pasted in base64 format.

We should try to see if we can automate this process. 

The ideal fix would be to specify the redhat CA host/port information
and have the AEP configuration UI fetch the entire CA chain and have
it imported in all the necessary places as required.

Comment 1 Red Hat Bugzilla 2007-11-05 04:21:38 UTC
User sparkins@redhat.com's account has been closed


Note You need to log in before you can comment on or make changes to this bug.